#include <stdio.h>
#include <string.h>

int strcompare(const char *str1, const char *str2) {
    while (*str1 == *str2 && *str1 != '\0' && *str2 != '\0') {
        str1++;
        str2++;
    }

    if (*str1 == '\0' && *str2 != '\0') {
        return -100;
    } else if (*str1 != '\0' && *str2 == '\0') {
        return 98;
    } else {
        if (*str1 > *str2) {
            return 1;
        } else {
            return 0;
        }
    }
}

int main() {
    char str1[100], str2[100];
    
    fgets(str1, sizeof(str1), stdin);
    fgets(str2, sizeof(str2), stdin);
    
    str1[strcspn(str1, "\n")] = 0;
    str2[strcspn(str2, "\n")] = 0;
    
    int result = strcompare(str1, str2);
    printf("%d", result);
    
    return 0;
}
